import { IPathTestResult } from "./IPathTestResult";
import { IPathTemplateOptions } from "./IPathTemplateOptions";
declare class PathTemplate {
    private _text;
    private _keys;
    private _re;
    private _pf;
    constructor(text: string, opts?: IPathTemplateOptions);
    readonly text: string;
    readonly paramNames: string[];
    readonly paramCount: number;
    test(path: string): IPathTestResult;
    toPath(params: any): string;
    toString(): string;
}
export { PathTemplate };
