import { IRequest } from "./IRequest";
import { IRouter } from "./IRouter";
import { IRequestHandler } from "./IRequestHandler";
import { IRouterManager } from "./IRouterManager";
declare class Router implements IRouter, IRouterManager {
    private _root;
    private _last;
    defaultHandler: IRequestHandler;
    isPathMapped(path: string): boolean;
    use(pathOrRouter: string | IRouter | IRequestHandler, router?: IRouter | IRequestHandler): void;
    private _processEntry(req, e, fallThrough);
    handleRequest(req: IRequest, next?: IRequestHandler): Promise<any>;
}
export { Router };
